Bug 600562 - preupgrade is downloading/upgrading only rpmfusion packages, leaving system at F12
preupgrade is downloading/upgrading only rpmfusion packages, leaving system a...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 23:39 EDT by David Timms
Modified: 2010-11-14 07:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-14 07:11:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
terminal output for preupgrade run, some stats (4.56 KB, text/plain)
2010-06-04 23:39 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2010-06-04 23:39:54 EDT
Created attachment 421398 [details]
terminal output for preupgrade run, some stats

Description of problem:
After preupgrade the machine rebooted, but had only upgraded about 30 rpmfusion packages I have installed to F13 versions.

Version-Release number of selected component (if applicable):
preupgrade-1.1.7-1.fc12.noarch
with:
kernel-2.6.32.12-115.fc12.x86_64
rpm-4.7.2-1.fc12.x86_64
yum-3.2.27-3.fc12.noarch

How reproducible:
3 times.

Steps to Reproduce:
1. su -
2. preupgrade
3. select Goddard, next etc.
4. reboot

Actual results:
1. anaconda installer started, didn't get graphical screen and after a few minutes shutdown, restarted.
2. only grub entry is f12 normal entry
3. machine only has 30ish fc13 packages from rpmfusion
4. cat /etc/fedora-release 
Fedora release 12 (Constantine)
5. all installer boot, repo, and rpm files have been removed, suggesting that preupgrade / anaconda thought all was good.

Expected results:
1. machine gets all rpms for fedora packages
2. rebooted machine after anaconda upgrade process should be running F13

Additional info:
1. For a giggle, have retried again today, by yum downgrade the rpmfusion packages, wiping the /var/cache/yum/preupgrade  predownloaded files, and reperforming preupgrade.

2. "unknown metadata being downloaded: repomdqfTmVItmp.xml" 
not sure if this is normal/significant ?

3. "unknown metadata being downloaded: MEMORY"
normal ?

ps. I've been on extended leave for 6 weeks and my linux foo may be depleted ;-)
Comment 1 Bug Zapper 2010-11-03 09:34:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 David Timms 2010-11-14 07:11:07 EST
I'm now on f13 . I can't confirm, but think this might have resolved itself over time.

Note You need to log in before you can comment on or make changes to this bug.